Subject: Re: draft-ietf-dnsext-dnssec-intro-09: EDNS0 issue

From: Pekka Savola <[email-masked]>
Date: Mon, 8 Mar 2004 18:21:20 +0200 (EET)

[ Moderators note: Post by non-subscriber.  With the massive amount of
   spam, it is easy to miss and therefore delete relevant posts 
   by non-subsrcibers. Please fix your subscription addresses. ]

On Mon, 8 Mar 2004, Mark Andrews wrote:
> > It would be nice if EDNS0 implementations conformed to these buffer 
> > sizes then.
> 
> 	On what platforms do the existing implementation not take
> 	these into account.  Note most *nix platforms support 4k
> 	UDP datagrams already.

I don't know, maybe some embedded systems have restrictions.

In any case 4000 byte UDP buffers does not equal being able to 
defragment datagrams worth of 4000 bytes total, right?

> > Currently it seems they have zero relation to MTU or PMTU, or buffer
> > sizes.
> 
> 	There doesn't have to be a *explict* relationship to these.
> 	The current recommendations already take these into account.

Well, about all the implementations I've seen set the EDNS0 
irrespective of the MTU or PMTU configured on the system, which might 
make sense.

-- 
Pekka Savola                 "You each name yourselves king, yet the
Netcore Oy                    kingdom bleeds."
Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/namedroppers/>

---

From: Pekka Savola <[email-masked]>
Date: Mon, 8 Mar 2004 18:21:20 +0200 (EET)